# Method: projects.tenants.create

- [HTTP request](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants/create#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants/create#body.request_body)
- [Response body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants/create#try-it)

Create a tenant. Requires write permission on the Agent project.

### HTTP request

`POST https://identitytoolkit.googleapis.com/v2/{parent=projects/*}/tenants`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The parent resource name where the tenant will be created. For example, "projects/project1". Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `identitytoolkit.tenants.create` |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants#Tenant`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants#Tenant`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/identitytoolkit`
- `
  https://www.googleapis.com/auth/firebase`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).